As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 552520 - [10.6] 1 pixel rendering difference is being mis-reported to Flash Player causing mouse response issue (Flash storage dialog won't go away)
: [10.6] 1 pixel rendering difference is being mis-reported to Flash Player cau...
Status: RESOLVED WORKSFORME
not-ready-for-cedar
: regression
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: 1.9.2 Branch
: All Mac OS X
: P3 major with 5 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Benjamin Smedberg [:bsmedberg]
Mentors:
: 607923 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-15 14:17 PDT by Charles
Modified: 2013-02-15 07:26 PST (History)
20 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wanted
unaffected


Attachments
testcase (1.03 KB, text/html)
2010-08-16 11:45 PDT, Benoit Girard (:BenWa)
no flags Details
Fix translation v1 (1.80 KB, patch)
2010-08-20 15:32 PDT, Benoit Girard (:BenWa)
no flags Details | Diff | Splinter Review
Fix translation v2 (975 bytes, patch)
2010-08-20 15:34 PDT, Benoit Girard (:BenWa)
roc: review+
jaas: review-
mbeltzner: approval2.0-
dveditz: approval1.9.2.11-
dveditz: approval1.9.2.13-
Details | Diff | Splinter Review
Test Result (9.26 KB, image/png)
2010-10-23 13:49 PDT, Benoit Girard (:BenWa)
no flags Details
Test Reference (9.26 KB, image/png)
2010-10-23 13:49 PDT, Benoit Girard (:BenWa)
no flags Details
Test Result (9.25 KB, image/png)
2010-10-23 13:51 PDT, Benoit Girard (:BenWa)
no flags Details

Description User image Charles 2010-03-15 14:17:31 PDT

    
Comment 1 User image Charles 2010-03-15 14:22:12 PDT
Steps to reproduce:
1) Open Firefox on a 10.6.x system
2) Install Flash Player (latest version of 10 or 10.1)
3) Open youTube and start a video
4) Right click and select settings.
5) Click on the Tabs. 

** if you cannot navigate that is the bug. If you can re size the window horizontally on pixel.  Notice how the Video window on the left side changes position.

Firefox is reporting one set of dimensions to Flash but is drawing the dialog at a different location. We check for this and they need to be the same result.
Comment 2 User image Jo Hermans 2010-03-15 17:37:20 PDT
In which version was this reported ? 3.6, 3.7a2, 3.7a3pre ?
Comment 3 User image Charles 2010-03-15 19:31:30 PDT
reported on 3.6 and reproduced on nightly both 3.6 and 3.7apre
Comment 4 User image Boris Zbarsky [:bz] (still a bit busy) 2010-03-21 22:41:33 PDT
I assume this is not an issue in 3.5?  If so, can someone who can reproduce (e.g. has OS X 10.6.x) figure out when this regressed?
Comment 5 User image Marcia Knous [:marcia - use ni] 2010-06-16 11:43:52 PDT
Using Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.3a6pre) Gecko/20100616 Minefield/3.7a6pre, I do not get a context menu (See my previous bug filed - Bug 571135. The first time I tried to resize the window the flash plugin crashed.

Note that I do see the dialog when I right click using Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.2.4) Gecko/20100611 Firefox/3.6.4.

In both cases I am using Flash Version: 10.1.53.64

I also do notice a slight difference in how the video displays when I shift the window up horizontally using the 3.6.4 build.
Comment 6 User image philippe (part-time) 2010-06-20 22:51:07 PDT
some possible regression range (tested with 10.6.4, flash 10.1.53.64):

works
Gecko/20090721 Minefield/3.6a1pre
http://hg.mozilla.org/mozilla-central/rev/f2a58ffcd00c

broken
Gecko/20090722 Minefield/3.6a1pre
http://hg.mozilla.org/mozilla-central/rev/02f8bf10f441

http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=f2a58ffcd00c&tochange=02f8bf10f441
Comment 7 User image Boris Zbarsky [:bz] (still a bit busy) 2010-06-20 22:57:38 PDT
Perhaps the widgetry changes there?
Comment 8 User image philippe (part-time) 2010-06-20 23:09:51 PDT
I suspect bug 339548 indeed, there were other '1px' regressions in flash.

Note that the behaviour fo those old builds is much worse than with current builds. Once those pref settings are in front of the movie, there is no way to dismiss it. In current builds (fx 3.6.4+ and Minefield) resizing the window 'helps' for that.
Comment 9 User image smadayag 2010-07-21 17:49:18 PDT
Receiving many complaints that users cannot dismiss or interact with the Settings UI.  The work around to resize the window is not readily known, which forces users to close the browser window or quit out of Firefox 3.6.
Comment 10 User image Johnny Stenback (:jst, jst@mozilla.com) 2010-07-29 18:00:59 PDT
This will likely change completely with out of process plugins on Mac. Either way we should look into this. Josh, can you have a look, or reassign appropriately?
Comment 11 User image Johnny Stenback (:jst, jst@mozilla.com) 2010-08-09 17:31:10 PDT
Marking this a blocker. Josh, if you disagree please re-mark appropriately.
Comment 12 User image Josh Aas 2010-08-09 21:44:55 PDT
I can repro on 3.6 but not trunk, roc suggested that retained layers might have fixed this on trunk.
Comment 13 User image Benoit Girard (:BenWa) 2010-08-16 11:45:28 PDT
Created attachment 466380 [details]
testcase

Here is a test case from bug 556052. I suspect this only happens if the position is on a sub-pixel and that it is cause by rounding error.
Comment 14 User image Benoit Girard (:BenWa) 2010-08-20 15:32:26 PDT
Created attachment 467927 [details] [diff] [review]
Fix translation v1

The translation code did not take into consideration sub pixel positioning. This causes the code to round up twice causing a 1 pixel difference.
Comment 15 User image Benoit Girard (:BenWa) 2010-08-20 15:34:06 PDT
Created attachment 467929 [details] [diff] [review]
Fix translation v2

Removed change that didn't belong in the patch.
Comment 16 User image Josh Aas 2010-08-20 16:21:47 PDT
Comment on attachment 467929 [details] [diff] [review]
Fix translation v2

I'm going to let roc review this if he's OK with that, I'm pretty sure he fixed this on trunk.
Comment 17 User image Robert O'Callahan (:roc) (email my personal email if necessary) 2010-08-20 18:48:56 PDT
Comment on attachment 467929 [details] [diff] [review]
Fix translation v2

Seems like this could be tested pretty easily
Comment 18 User image Benoit Girard (:BenWa) 2010-08-21 00:29:29 PDT
Here is a try-server build:
http://ftp.mozilla.org/pub/mozilla.org/firefox/tryserver-builds/b56girard@gmail.com-9f1f8d953118/tryserver-macosx/

I got a ton of unrelated failure from the try-server. The results do not appear to be reliable. Perhaps I pushed wrong? The build itself appears to work well.

I will be away this weekend. Can someone a? this patch, I am not sure who to ask.
Comment 19 User image Robert O'Callahan (:roc) (email my personal email if necessary) 2010-08-21 00:41:03 PDT
Comment on attachment 467929 [details] [diff] [review]
Fix translation v2

approvals don't go to any specific person
Comment 20 User image Benoit Girard (:BenWa) 2010-08-24 21:04:46 PDT
Comment on attachment 467929 [details] [diff] [review]
Fix translation v2

This needs to go on for 1.9.2, not 2.0.
Comment 21 User image christian 2010-09-24 11:06:14 PDT
Comment on attachment 467929 [details] [diff] [review]
Fix translation v2

Are we not going to get a test for this?
Comment 22 User image Daniel Veditz [:dveditz] 2010-10-04 10:09:58 PDT
Comment on attachment 467929 [details] [diff] [review]
Fix translation v2

Missed the 1.9.2.11 release
Comment 23 User image Jet Villegas (:jet) 2010-10-21 09:51:19 PDT
We're still getting a lot of reports on this on Firefox 3.6.x. I see it's been approved to commit on the v2 trunk, Will it make it into 1.9.2.12? Thanks!
Comment 24 User image Benoit Girard (:BenWa) 2010-10-22 13:35:00 PDT
Thanks for approval. I'll land this tonight unless someone can get to it first.
Comment 25 User image Benoit Girard (:BenWa) 2010-10-23 13:48:46 PDT
Push: http://hg.mozilla.org/releases/mozilla-1.9.2/rev/759558e9b94d
Backout: http://hg.mozilla.org/releases/mozilla-1.9.2/rev/2599ed882191

Backout due to test failure. The drawing region isn't correct with all cases with this patch applied.

Test failing: modules/plugin/test/reftest/plugin-sanity.html
Comment 26 User image Benoit Girard (:BenWa) 2010-10-23 13:49:33 PDT
Created attachment 485531 [details]
Test Result
Comment 27 User image Benoit Girard (:BenWa) 2010-10-23 13:49:51 PDT
Created attachment 485532 [details]
Test Reference
Comment 28 User image Benoit Girard (:BenWa) 2010-10-23 13:51:58 PDT
Created attachment 485533 [details]
Test Result
Comment 29 User image Michelle Xing 2010-10-28 18:51:25 PDT
607923 duplicate to this. Can reproduce with Firefox 3.6.12 but cannot with 3.6.11.
Comment 30 User image Michelle Xing 2010-10-28 18:51:46 PDT
*** Bug 607923 has been marked as a duplicate of this bug. ***
Comment 31 User image Reed Loden [:reed] (use needinfo?) 2010-11-19 01:03:04 PST
I completely missed comment #25.

Landed: http://hg.mozilla.org/releases/mozilla-1.9.2/rev/5b2446e3462d
Backed out: http://hg.mozilla.org/releases/mozilla-1.9.2/rev/a47c2a2c2623

Anyway, this should land on trunk and work correctly first there before going on the branches.
Comment 32 User image philippe (part-time) 2010-11-19 01:19:23 PST
(In reply to comment #31)

> Anyway, this should land on trunk and work correctly first there before going
> on the branches.

Reed, this doesn't need to go on trunk, see comment 16 and comment 20. Only 1.9.2 needs this.
Comment 33 User image Daniel Veditz [:dveditz] 2010-11-19 10:10:10 PST
Comment on attachment 467929 [details] [diff] [review]
Fix translation v2

removing approval, we'd need a roll-up patch with a test fix in order to approve.
Comment 34 User image Josh Aas 2010-11-20 19:03:08 PST
Comment on attachment 467929 [details] [diff] [review]
Fix translation v2

I looked over this a bit, I don't see anything wrong with the test and the rendering with this patch applied is incorrect. We'll have to come up with a correct fix.
Comment 35 User image Mike Beltzner [:beltzner, not reading bugmail] 2011-02-23 10:20:59 PST
Comment on attachment 467929 [details] [diff] [review]
Fix translation v2

Doesn't apply to trunk, as per comment somethingorother above. Bookkeeping to remove the approval.
Comment 36 User image Andreas Eibach 2011-03-09 13:14:33 PST
even though I might repeat myself in respect to bug 510846, I *can* confirm the "unable-to-navigate" issue here in 4.0b13pre @ Win7
Mozilla/5.0 (Windows NT 6.1; rv:2.0b13pre) Gecko/20110303 Firefox/4.0b13pre

The flash widget (more exactly: the widget that asks you if your camera and microphone may be accessed by a site that wants to make use of this hardware) is dead as a doornail, no clicks work.
Zooming the page does not work either, been there done that, no avail.
Comment 37 User image Greg 2011-06-13 10:01:14 PDT
I posted the following to Bug 510846 as these two issues seem very similar.

Error occurs in a camera snapshot app I created which requires the camera and mic settings dialog for flash to pop up. When the popup comes up "Allow ... to access your camera and microphone?" you can't click on ANYTHING. Neither Allow, nor Deny nor the "Remember" check box work.

Additionally I am popping up the app in a new browser window width:580px height:480px. The swf object is set to a width:276px and height:360px and is being centered in the window using JavaScript. I am using Windows 7 Pro, FF 4.0.1, Flash 10.3.181.14, Flash 10.2 is also unresponsive. Mac OS 10.5.8 + FF 4.0.1 + Flash 10.3 are also unresponsive.
Comment 38 User image Benjamin Smedberg [:bsmedberg] 2013-02-15 07:26:02 PST
If I'm reading this bug correctly, this was a branch-only issue. If it is still an issue, please reopen.

Note You need to log in before you can comment on or make changes to this bug.